package ru.dbotthepony.mc.otm.datagen.recipes

fun MatteryRecipe.rowA(a: Ingredient?): MatteryRecipe {
	return this.row(a, null as Ingredient?, null as Ingredient?)
}

fun MatteryRecipe.rowA(a: ItemLike?): MatteryRecipe {
	return this.row(a, null as ItemLike?, null as ItemLike?)
}

fun MatteryRecipe.rowA(a: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, null as TagKey<Item>?)
}

fun MatteryRecipe.rowA(a: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowA(a: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowA(a: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowA(a: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowA(a: ItemStack?): MatteryRecipe {
	return this.row(a, null as ItemStack?, null as ItemStack?)
}

fun MatteryRecipe.rowB(b: Ingredient?): MatteryRecipe {
	return this.row(null as Ingredient?, b, null as Ingredient?)
}

fun MatteryRecipe.rowB(b: ItemLike?): MatteryRecipe {
	return this.row(null as ItemLike?, b, null as ItemLike?)
}

fun MatteryRecipe.rowB(b: TagKey<Item>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowB(b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowB(b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowB(b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowB(b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowB(b: ItemStack?): MatteryRecipe {
	return this.row(null as ItemStack?, b, null as ItemStack?)
}

fun MatteryRecipe.rowC(c: Ingredient?): MatteryRecipe {
	return this.row(null as Ingredient?, null as Ingredient?, c)
}

fun MatteryRecipe.rowC(c: ItemLike?): MatteryRecipe {
	return this.row(null as ItemLike?, null as ItemLike?, c)
}

fun MatteryRecipe.rowC(c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowC(c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowC(c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowC(c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowC(c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowC(c: ItemStack?): MatteryRecipe {
	return this.row(null as ItemStack?, null as ItemStack?, c)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: Ingredient?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as Ingredient?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: ItemLike?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as ItemLike?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: TagKey<Item>?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as TagKey<Item>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterable<ItemStack>?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as Iterable<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Iterator<ItemStack>?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as Iterator<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Array<out ItemStack>?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as Array<out ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: Stream<ItemStack>?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as Stream<ItemStack>?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: Ingredient?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: ItemLike?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: TagKey<Item>?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAB(a: ItemStack?, b: ItemStack?): MatteryRecipe {
	return this.row(a, b, null as ItemStack?)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: Ingredient?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as Ingredient?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: ItemLike?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as ItemLike?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: TagKey<Item>?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as TagKey<Item>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterable<ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as Iterable<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Iterator<ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as Iterator<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Array<out ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as Array<out ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: Stream<ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as Stream<ItemStack>?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: Ingredient?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: ItemLike?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowAC(a: ItemStack?, c: ItemStack?): MatteryRecipe {
	return this.row(a, null as ItemStack?, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: Ingredient?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: ItemLike?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: Ingredient?, c: ItemStack?): MatteryRecipe {
	return this.row(null as Ingredient?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: Ingredient?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: ItemLike?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemLike?, c: ItemStack?): MatteryRecipe {
	return this.row(null as ItemLike?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: Ingredient?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: ItemLike?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: TagKey<Item>?, c: ItemStack?): MatteryRecipe {
	return this.row(null as TagKey<Item>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterable<ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(null as Iterable<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Iterator<ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(null as Iterator<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Array<out ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(null as Array<out ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: Ingredient?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: ItemLike?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: Stream<ItemStack>?, c: ItemStack?): MatteryRecipe {
	return this.row(null as Stream<ItemStack>?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: Ingredient?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: ItemLike?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: TagKey<Item>?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: Iterable<ItemStack>?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: Iterator<ItemStack>?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: Array<out ItemStack>?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: Stream<ItemStack>?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}

fun MatteryRecipe.rowBC(b: ItemStack?, c: ItemStack?): MatteryRecipe {
	return this.row(null as ItemStack?, b, c)
}
